Bug 495892 (CVE-2009-1180) - CVE-2009-1180 PDF JBIG2 invalid free()
Summary: CVE-2009-1180 PDF JBIG2 invalid free()
Status: CLOSED ERRATA
Alias: CVE-2009-1180
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=important,source=cert,reported...
Keywords: Security
Depends On: 490716 490717 492384 492385 492386 492387 496942 496943 496944 577322 577323 577328 577329
Blocks: 491864
TreeView+ depends on / blocked
 
Reported: 2009-04-15 13:40 UTC by Josh Bressers
Modified: 2010-05-07 08:43 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-07 08:43:11 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0429 normal SHIPPED_LIVE Important: cups security update 2009-04-16 22:52:28 UTC
Red Hat Product Errata RHSA-2009:0430 normal SHIPPED_LIVE Important: xpdf security update 2009-04-16 22:52:59 UTC
Red Hat Product Errata RHSA-2009:0431 normal SHIPPED_LIVE Important: kdegraphics security update 2009-04-16 22:53:18 UTC
Red Hat Product Errata RHSA-2009:0458 normal SHIPPED_LIVE Important: gpdf security update 2009-04-30 20:58:15 UTC
Red Hat Product Errata RHSA-2009:0480 normal SHIPPED_LIVE Important: poppler security update 2009-05-13 14:32:34 UTC
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0400 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:09:35 UTC

Description Josh Bressers 2009-04-15 13:40:00 UTC
An invalid free() flaw was found in xpdf's JBIG2 decoder. If a malicious
PDF file could free() attacker controlled data, it may be possible to
execute arbitrary code with the permissions of the user running xpdf.

Will Dormann of the CERT/CC created the extensive testsuite for the JBIG2
decoder in various PDF libraries that found this flaw.

Acknowledgements:

Red Hat would like to thank Will Dormann of the CERT/CC for responsibly
reporting this flaw.

Comment 2 Vincent Danen 2009-04-16 21:33:40 UTC
Embargo has been lifted.

Comment 3 Fedora Update System 2009-04-17 19:01:47 UTC
xpdf-3.02-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc9

Comment 4 Fedora Update System 2009-04-17 19:03:06 UTC
xpdf-3.02-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc10

Comment 6 Fedora Update System 2009-04-22 00:53:12 UTC
xpdf-3.02-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-04-22 00:58:24 UTC
xpdf-3.02-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2009-04-24 07:56:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:0430 https://rhn.redhat.com/errata/RHSA-2009-0430.html

Comment 9 errata-xmlrpc 2009-04-24 08:05:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0431 https://rhn.redhat.com/errata/RHSA-2009-0431.html

Comment 10 errata-xmlrpc 2009-04-24 08:26:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0429 https://rhn.redhat.com/errata/RHSA-2009-0429.html

Comment 11 errata-xmlrpc 2009-04-30 20:58:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0458 https://rhn.redhat.com/errata/RHSA-2009-0458.html

Comment 12 errata-xmlrpc 2009-05-13 14:32:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0480 https://rhn.redhat.com/errata/RHSA-2009-0480.html

Comment 15 errata-xmlrpc 2010-05-06 18:54:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 16 errata-xmlrpc 2010-05-06 19:09:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0400 https://rhn.redhat.com/errata/RHSA-2010-0400.html


Note You need to log in before you can comment on or make changes to this bug.